VHDLib - Task #69

MINI_LFR - WFP & MS - 0.1.4 - VERIFICATION
26/02/2014 11:14 AM - Jean-Christophe Pellion

Status: Closed Start date: 25/02/2014
Priority: Normal Due date:

Assignee: paul leroy % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.0 Spent time: 0.00 hour
revision:

Description

+PDB file :+ "MINI LFR-WFP_| MS 0.1.2. pdb"

+Code Revision :+ r309

Le waveform picker n'a normalement pas évolué depuis la version 0.0.10.

La matrice Spectrale a été ajoutée. Et les datas dans les buffers sont précédés de deux "Word" pour le coarse time et le fine time.
Les buffers ont donc une taille de 3202 words.

@x0 COARSE_TIME

@x4 FINE_TIME

@x8 B1B1 Re 1

@xC B1B1 Re 2

@x204 B1B1 Re 128
@x208 B1B2 Re 1
@x20C B1B2 Im 1
@x210 B1B2 Re 2
@x214 B1B2 Im 2

Pour bien fonctionner, il faut aligner I'adresse des buffers sur une adresse terminant par 0x38.
En effet, il faut que I'adresse de la data B1B1_Re_1 commence a une adresse 0x00. (histoire qu'un burst DMA ne traverse jamais
une barriére de 4kB)

Related issues:
Copied from Task #67: MINI_LFR - WFP & MS - 0.1.2 - VERIFICATION Closed 25/02/2014

History

#1 - 06/03/2014 06:06 PM - Jean-Christophe Pellion
- Subject changed from MINI_LFR - WFP & MS - 0.1.2 - VERIFICATION to MINI_LFR - WFP & MS - 0.1.4 - VERIFICATION

PDB flles "MINI LFR-WFP_ MS 0.1.4. pdb"

Code Revision : r321

Voila le nouveau mapping des registres LFR et WFP. A peu pres toutes les
addresses ont changés.

Le regsitre ADDR_SPECTRAL_MATRIX_CONFIG est maintenant de la forme :
2 - run_matrix_spectral

1 - active interruption Error

0 - active interruption "New Matrix"

-- REG MS
ADDR_SPECTRAL_MATRIX_CONFIG X"00";
ADDR_SPECTRAL_MATRIX_STATUS X"04";

ADDR_SPECTRAL_MATRIX_ADDR_MATRIX_F0_0 X"08";
ADDR_SPECTRAL_MATRIX_ADDR_MATRIX_F0_1 X"0C";

ADDR_SPECTRAL_MATRIX_ADDR_MATRIX_F1  X"10";
ADDR_SPECTRAL_MATRIX_ADDR_MATRIX_F2 X"14";
ADDR_SPECTRAL_MATRIX_COARSE_TIME_F0_0 X"18";
ADDR_SPECTRAL_MATRIX_COARSE_TIME_F1_0 X"1C";
https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/165/MINI_LFR-WFP_MS-0.1.2.pdb
https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/187/MINI_LFR-WFP_MS-0.1.4.pdb

ADDR_SPECTRAL MATRIX_COARSE TIME_F1  X"20";
ADDR_SPECTRAL_MATRIX_COARSE TIME_F2  X"24":
ADDR_SPECTRAL_MATRIX_FINE_TIME_F0_ 0 X"28";
ADDR_SPECTRAL_MATRIX_FINE TIME_FO_1 X"2C";

ADDR_SPECTRAL_MATRIX_FINE_TIME_F1  X"30";
ADDR_SPECTRAL_MATRIX_FINE_TIME_F2  X"34";
--X"00000F38";

ADDR_SPECTRAL_MATRIX_DEBUG X"3F":

-- REG WAVEFORM
ADDR_WAVEFORM_PICKER_DATASHAPING X"40"
ADDR_WAVEFORM_PICKER_CONTROL X"44",
ADDR_WAVEFORM_PICKER_ADDRESS_F0 X"48";
ADDR_WAVEFORM_PICKER_ADDRESS_F1 X"4C";

ADDR_WAVEFORM_PICKER_ADDRESS_F2 X"50";
ADDR_WAVEFORM_PICKER_ADDRESS_F3 X"54",
ADDR_WAVEFORM_PICKER_STATUS X"58",;
ADDR_WAVEFORM_PICKER_DELTASNAPSHOT  X"5C";

ADDR_WAVEFORM_PICKER DELTA_FO X"60";
ADDR_WAVEFORM_PICKER DELTA FO 2  X"64";
ADDR_WAVEFORM_PICKER_DELTA_F1 X"68";
ADDR_WAVEFORM_PICKER DELTA_F2 X"6C";

ADDR_WAVEFORM_PICKER_NB_DATA_IN_BUFFER X"70";
ADDR_WAVEFORM_PICKER_NBSNAPSHOT X"74",
ADDR_WAVEFORM_PICKER_START_DATE X"78";
ADDR_WAVEFORM_PICKER_NB_WORD_IN_BUFFER X"7C";

#2 - 10/02/2015 03:16 PM - paul leroy

- Status changed from New to Closed

Obsolete.
